import { Component, OnInit } from '@angular/core';
import { CookieService } from 'ngx-cookie-service';
import { AppRoutes } from '../../../routes';

@Component({
  selector: 'app-cookie-banner',
  templateUrl: './cookie-banner.component.html',
  styleUrls: ['./cookie-banner.component.scss'],
})
export class CookieBannerComponent implements OnInit {

  AppRoutes = AppRoutes;
  private cookiesAccepted: boolean;
  private cookiesAcceptedKey = 'COOKIES_ACCEPTED';

  constructor(
    private _cookieService: CookieService,
  ) {
    this.cookiesAccepted = (this._cookieService.get(this.cookiesAcceptedKey) === 'true');
    this._cookieService.set(
      this.cookiesAcceptedKey, // Key
      'true', // Value
      new Date(new Date().setFullYear(new Date().getFullYear() + 1)), // Expiration date now + 1 year
      '/',
    );
  }

  ngOnInit() {
  }

  hideCookieBanner() {
    this.cookiesAccepted = true;
  }

  get displayCookieBanner() {
    return !this.cookiesAccepted;
  }

}
