import { Injectable } from '@angular/core';
import { Observable, Subject } from 'rxjs';

@Injectable()
export class AppStateService {

  private _menuOpened: boolean;
  private _menuStateChanged: Subject<boolean>;
  private _feedbackOpened: boolean;
  private _feedbackStateChanged: Subject<boolean>;

  constructor() {
    this._menuStateChanged = new Subject<any>();
    this._feedbackStateChanged = new Subject<any>();
    this._feedbackOpened = false;
  }

  changeMenuState(state: boolean) {
    this._menuOpened = state;
    this._menuStateChanged.next(state);
  }

  changeFeedbackState(state: boolean) {
    if (this.feedbackOpened !== state) {
      this._feedbackOpened = state;
      this._feedbackStateChanged.next(state);
    }
  }

  get menuStateChanged$(): Observable<boolean> {
    return this._menuStateChanged.asObservable();
  }

  get feedbackStateChanged$(): Observable<boolean> {
    return this._feedbackStateChanged.asObservable();
  }

  get menuOpened() {
    return this._menuOpened;
  }

  get feedbackOpened() {
    return this._feedbackOpened;
  }
}