import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AppRoutes } from '../routes';
// tslint:disable-next-line: max-line-length
import { DatasetAPIComponent, DatasetDetailComponent, DatasetDownloadsComponent, DatasetInfoComponent, DatasetTableMapComponent } from './components';
import { DatasetDetailResolver } from './resolvers';
export const routes: Routes = [
  // Some of the parteners already used the english version of this routing so in order to not break again there link
  // we implemented a fallback routes that redirects to the new routing
  {
    path: '',
    component: DatasetDetailComponent,
    resolve: {
      dataset: DatasetDetailResolver,
    },
    children: [
      {
        path: AppRoutes.info.uri,
        component: DatasetInfoComponent,
        data: {
          title: AppRoutes.info.title,
        },
      },
      {
        path: AppRoutes.data.uri,
        component: DatasetTableMapComponent,
        data: {
          title: AppRoutes.data.title,
        },
      },
      {
        path: AppRoutes.resources.uri,
        component: DatasetAPIComponent,
        data: {
          title: AppRoutes.resources.title,
        },
      },
      {
        path: AppRoutes.downloads.uri,
        component: DatasetDownloadsComponent,
        data: {
          title: AppRoutes.downloads.title,
        },
      },
    ],
  },
];

@NgModule({
  exports: [RouterModule],
  imports: [RouterModule.forChild(routes)],
})
export class DatasetDetailRoutingModule { }
