import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { map } from 'rxjs/operators';
import { Resource, IResource } from '../models';
import { APP_CONFIG } from '../../core/services/app-config.service';
import { Projection, IProjection } from '../models/projection.model';

@Injectable()
export class ResourcesService {

  constructor(
    private _httpClient: HttpClient,
  ) { }

  getResources() {
    return this._httpClient.get<IResource[]>(`${APP_CONFIG.backendUrls.resources}/resources`).pipe(
      map((resourcesBack) => {
        return resourcesBack.map(r => new Resource(r));
      }));
  }

  getProjections() {
    return this._httpClient.get<IProjection[]>(`${APP_CONFIG.backendUrls.resources}/projections`).pipe(
      map((resourcesBack) => {
        return resourcesBack.map(r => new Projection(r));
      }));
  }
}
