import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { intersectionObserverPreset, LazyLoadImageModule } from 'ng-lazyload-image';
import { DatasetsModule } from '../datasets/datasets.module';
import { ElasticsearchModule } from '../elasticsearch/elasticsearch.module';
import { SharedModule } from '../shared/shared.module';
import { EditorialisationComponents } from './components';
import { EditorialisationRoutingModule } from './editorialisation-routing.module';
import { EditorialisationResolvers } from './resolvers';
import { EditorialisationServices } from './services';

@NgModule({
  imports: [
    CommonModule,
    ElasticsearchModule,
    DatasetsModule,
    EditorialisationRoutingModule,
    SharedModule,
    LazyLoadImageModule.forRoot({
      preset: intersectionObserverPreset,
    }),
  ],
  declarations: [...EditorialisationComponents],
  providers: [...EditorialisationServices, EditorialisationResolvers],
})
export class EditorialisationModule { }
