import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { IOrganization } from '../models';
import { map } from 'rxjs/operators';
import { Organization } from '../models/organization.model';
import { APP_CONFIG } from '../../core/services/app-config.service';

@Injectable()
export class OrganizationsService {

  constructor(
    private _httpClient: HttpClient,
  ) { }

  getOrganizations() {
    return this._httpClient.get<IOrganization[]>(
      `${APP_CONFIG.backendUrls.organizations}/organizations`,
      { withCredentials: true },
    ).pipe(
      map((organizationsBack) => {
        const organizations = [];
        organizationsBack.forEach((organization) => {
          organizations.push(new Organization(organization));
        });
        return organizations;
      }));
  }
}
