import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { IReuse, Reuse } from '../models';
import { map } from 'rxjs/operators';
import { APP_CONFIG } from '../../core/services/app-config.service';

@Injectable()
export class ReusesService {

  constructor(
    private _httpClient: HttpClient,
  ) { }

  getReuses() {
    return this._httpClient.get<IReuse[]>(APP_CONFIG.backendUrls.reuses, { withCredentials: true }).pipe(
      map((reusesBack) => {
        const reuses = [];
        reusesBack.forEach((reuse) => {
          reuses.push(new Reuse(reuse));
        });
        return reuses;
      }));
  }

  getReuse(id: string) {
    return this._httpClient.get<IReuse>(`${APP_CONFIG.backendUrls.reuses}/${id}`, { withCredentials: true }).pipe(
      map(reuse => new Reuse(reuse)),
    );
  }
}
