import { Component, OnInit, Input } from '@angular/core';
import { geosource } from '../../../../i18n/traductions';

@Component({
  selector: 'app-link-copy-icon',
  templateUrl: './link-copy-icon.component.html',
  styleUrls: ['./link-copy-icon.component.scss'],
})
export class LinkCopyIconComponent implements OnInit {

  @Input() linkUrl: string;
  messageClipboard: string;

  constructor() { }

  ngOnInit() {
    this.messageClipboard = geosource.mapMessages.share;
  }

  copyToClipboard(text) {
    const selBox = document.createElement('textarea');
    selBox.style.position = 'fixed';
    selBox.style.height = '0';
    selBox.value = text;
    document.body.appendChild(selBox);
    selBox.focus();
    selBox.select();
    document.execCommand('copy');
    document.body.removeChild(selBox);

    this.messageClipboard = geosource.mapMessages.copied;
    setTimeout(() => {
      this.messageClipboard = geosource.mapMessages.share;
    },         2000);
  }

}
